# agecem/bottin

Bottin de la masse étudiante, en Go

https://git.agecem.com/agecem/bottin

## fonctionalités

### Serveur API

- Insertion de membre et programme
- Lecture de membre
- Modification du nom d'usage de membre

### Client web

- Lecture de membre par requête au serveur API

## usage

Remplir .env avec les infos qui seront utilisées pour déployer le container

(Remplacer `bottin` par quelque chose de plus sécuritaire)

```sh
BOTTIN_API_KEY=bottin
BOTTIN_POSTGRES_DATABASE=bottin
BOTTIN_POSTGRES_PASSWORD=bottin
BOTTIN_POSTGRES_USER=bottin
BOTTIN_WEB_PASSWORD=bottin
BOTTIN_WEB_USER=bottin
```

Déployer avec docker-compose

`$ docker-compose up -d`

### Optionnel: configuration par fichiers YAML

*seulement nécessaire si les fichiers `.env` et `docker-compose.yaml` ne contiennent pas toute l'information nécessaire*

Pour modifier la configuration du serveur API

`$ docker-compose exec -it api vi /etc/bottin/api.yaml`

*Y remplir au minimum le champs `api.key` (string)*

Pour modifier la configuration du client web

`$ docker-compose exec -it web vi /etc/bottin/web.yaml`

*Y remplir au minimum les champs `web.api.key` (string), `web.user` (string) et `web.password` (string)*

Redémarrer les containers une fois la configuration modifiée

`$ docker-compose down && docker-compose up -d`
