-- membres_for_display affiche le numéro étudiant, nom complet OU prefered_name, et titre du programme.
--
-- Utilisé par l'application web pour rechercher et afficher les informations des membres
CREATE OR REPLACE VIEW
  "membres_for_display"
AS (
  SELECT
    "membres".id,
    CASE
      WHEN
        "membres".prefered_name != '' AND "membres".prefered_name IS NOT NULL
      THEN
        "membres".prefered_name
      ELSE
        CONCAT("membres".last_name, ', ', "membres".first_name)
    END AS name,
    "programmes".id AS programme_id,
    "programmes".name AS programme_name
  FROM
    "membres"
  INNER JOIN
    "programmes" ON "programmes".id = "membres".programme_id
);
